## neochat 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <tobias.fella@kde.org>
# SPDX-FileCopyrightText: 2021 Adriaan de Groot <groot@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.12")
set(QT_MIN_VERSION "6.5")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(KDE_COMPILERSETTINGS_LEVEL 6.0)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMFindQmlModule)
include(KDECMakeSettings)
include(ECMAddTests)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(ECMQtDeclareLoggingCategory)
include(ECMAddAndroidApk)
include(ECMQmlModule)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
if (NOT ANDROID)
    include(KDEClangFormat)
endif()

if(NEOCHAT_FLATPAK)
    include(cmake/Flatpak.cmake)
endif()

set(QUOTIENT_FORCE_NAMESPACED_INCLUDES TRUE)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX NEOCHAT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/neochat-version.h
)

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Core Quick Gui QuickControls2 Multimedia Svg TextToSpeech WebView)
set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)

if (QT_KNOWN_POLICY_QTP0004)
qt_policy(SET QTP0004 NEW)
endif ()

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels IconThemes ColorScheme)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)
set_package_properties(KF6Kirigami PROPERTIES
    TYPE REQUIRED
    PURPOSE "Kirigami application UI framework"
)
find_package(KF6KirigamiAddons 1.6.0 REQUIRED)

if (UNIX AND NOT APPLE AND NOT ANDROID AND NOT NEOCHAT_FLATPAK AND NOT NEOCHAT_APPIMAGE)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Purpose)
endif ()

if(ANDROID)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Encrypted communications"
    )
else()
    find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle KIO WindowSystem StatusNotifierItem Crash)
    find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
        TYPE RUNTIME
    )
    ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)

    find_package(ICU 61.0 COMPONENTS uc)
    set_package_properties(ICU PROPERTIES
        TYPE REQUIRED
        PURPOSE "Unicode library"
    )
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
endif()

find_package(QuotientQt6 0.9.1)
set_package_properties(QuotientQt6 PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Qt wrapper around Matrix API"
    URL "https://github.com/quotient-im/libQuotient/"
    PURPOSE "Talk with matrix server"
)

find_package(cmark)
set_package_properties(cmark PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Cmark is the common mark reference implementation"
    URL "https://github.com/commonmark/cmark"
    PURPOSE "Convert markdown to html"
)

ecm_find_qmlmodule(org.kde.kquickimageeditor 1.0)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.quickcharts 1.0)
ecm_find_qmlmodule(QtLocation)
ecm_find_qmlmodule(org.kde.prison)

find_package(KQuickImageEditor COMPONENTS)
set_package_properties(KQuickImageEditor PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Simple image editor for QtQuick applications"
    URL "https://invent.kde.org/libraries/kquickimageeditor/"
    PURPOSE "Add image editing capability to image attachments"
)

find_package(QCoro6 0.4 COMPONENTS Core Network REQUIRED)

qcoro_enable_coroutines()

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

option(WITH_UNIFIEDPUSH "Build with KUnifiedPush support" ON)

if (ANDROID OR APPLE OR WIN32 OR HAIKU)
    set(WITH_UNIFIEDPUSH OFF)
endif()

if (WITH_UNIFIEDPUSH)
    find_package(KUnifiedPush)
    set_package_properties(KUnifiedPush PROPERTIES
        TYPE REQUIRED
        PURPOSE "Push notification support"
        URL "https://invent.kde.org/libraries/kunifiedpush"
    )
endif()

if(ANDROID)
    find_package(Sqlite3)
    set(BUILD_TESTING FALSE)
endif()

ki18n_install(po)

install(FILES org.kde.neochat.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.neochat.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.neochat.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES org.kde.neochat.tray.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Test HttpServer)
    add_subdirectory(autotests)
    # add_subdirectory(appiumtests)
    if (NOT ANDROID)
        add_subdirectory(memorytests)
    endif()
endif()

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (NOT ANDROID)
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
# CI installs dependency headers to _install and _build, which break the reuse check
# Fixes the test by excluding this directory
list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[_(install|build)/.*]])
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

ecm_qt_install_logging_categories(
        EXPORT NEOCHAT
        FILE neochat.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(neochat STATIC
    controller.cpp
    controller.h
    roommanager.cpp
    roommanager.h
    models/userdirectorylistmodel.cpp
    models/userdirectorylistmodel.h
    notificationsmanager.cpp
    notificationsmanager.h
    blurhash.cpp
    blurhash.h
    blurhashimageprovider.cpp
    blurhashimageprovider.h
    windowcontroller.cpp
    windowcontroller.h
    models/serverlistmodel.cpp
    models/serverlistmodel.h
    models/notificationsmodel.cpp
    models/notificationsmodel.h
    proxycontroller.cpp
    proxycontroller.h
    mediamanager.cpp
    mediamanager.h
    sharehandler.cpp
    sharehandler.h
    foreigntypes.h
    identityserverhelper.cpp
    identityserverhelper.h
    models/commonroomsmodel.cpp
    models/commonroomsmodel.h
    texttospeechhelper.h
    texttospeechhelper.cpp
)

set_source_files_properties(qml/OsmLocationPlugin.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

if(ANDROID OR WIN32)
    set_source_files_properties(qml/ShareActionStub.qml PROPERTIES
        QT_QML_SOURCE_TYPENAME ShareAction
    )
    set_source_files_properties(qml/GlobalMenuStub.qml PROPERTIES
            QT_QML_SOURCE_TYPENAME GlobalMenu
    )
endif()

ecm_add_qml_module(neochat URI org.kde.neochat GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat
    QML_FILES
        qml/Main.qml
        qml/AccountMenu.qml
        qml/CollapsedRoomDelegate.qml
        qml/RoomPage.qml
        qml/ManualRoomDialog.qml
        qml/ExplorerDelegate.qml
        qml/NeochatMaximizeComponent.qml
        qml/QuickSwitcher.qml
        qml/AttachmentPane.qml
        qml/QuickFormatBar.qml
        qml/UserDetailDialog.qml
        qml/OpenFileDialog.qml
        qml/KeyVerificationDialog.qml
        qml/ConfirmLogoutDialog.qml
        qml/VerificationMessage.qml
        qml/EmojiItem.qml
        qml/EmojiRow.qml
        qml/EmojiSas.qml
        qml/VerificationCanceled.qml
        qml/MessageSourceSheet.qml
        qml/LocationChooser.qml
        qml/InvitationView.qml
        qml/AvatarTabButton.qml
        qml/OsmLocationPlugin.qml
        qml/FullScreenMap.qml
        qml/ChooseRoomDialog.qml
        qml/QrCodeMaximizeComponent.qml
        qml/NotificationsView.qml
        qml/ServerComboBox.qml
        qml/UserSearchPage.qml
        qml/ManualUserDialog.qml
        qml/RecommendedSpaceDialog.qml
        qml/ShareDialog.qml
        qml/UnlockSSSSDialog.qml
        qml/QrScannerPage.qml
        qml/JoinRoomDialog.qml
        qml/ConfirmUrlDialog.qml
        qml/AccountSwitchDialog.qml
        qml/ConfirmLeaveDialog.qml
        qml/CodeMaximizeComponent.qml
        qml/EditStateDialog.qml
        qml/ConsentDialog.qml
        qml/AskDirectChatConfirmation.qml
        qml/HoverLinkIndicator.qml
        qml/AvatarNotification.qml
        qml/ReasonDialog.qml
        qml/NewPollDialog.qml
        qml/UserMenu.qml
    DEPENDENCIES
        QtCore
        QtQuick
    IMPORTS
        org.kde.neochat.libneochat
        org.kde.neochat.rooms
        org.kde.neochat.roominfo
        org.kde.neochat.messagecontent
        org.kde.neochat.timeline
        org.kde.neochat.spaces
        org.kde.neochat.settings
        org.kde.neochat.devtools
        org.kde.neochat.login
        org.kde.neochat.chatbar
)

if(NOT ANDROID AND NOT WIN32)
    qt_target_qml_sources(neochat QML_FILES
        qml/ShareAction.qml
        qml/GlobalMenu.qml
        qml/EditMenu.qml
    )
else()
    qt_target_qml_sources(neochat QML_FILES
            qml/ShareActionStub.qml
            qml/GlobalMenuStub.qml
    )
endif()

if(WIN32)
    set_target_properties(neochat PROPERTIES OUTPUT_NAME "neochatlib")
endif()

add_executable(neochat-app
    main.cpp
)

if(TARGET Qt::WebView)
    target_link_libraries(neochat-app PUBLIC Qt::WebView)
    target_compile_definitions(neochat-app PUBLIC -DHAVE_WEBVIEW)
endif()

target_include_directories(neochat-app PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(neochat-app PRIVATE
    neochat
)

ecm_add_app_icon(NEOCHAT_ICON ICONS ${CMAKE_SOURCE_DIR}/128-logo.png)

target_sources(neochat-app PRIVATE ${NEOCHAT_ICON})

if(NOT ANDROID)
    if (NOT WIN32 AND NOT APPLE)
        target_sources(neochat PRIVATE trayicon_sni.cpp trayicon_sni.h)
        target_link_libraries(neochat PRIVATE KF6::StatusNotifierItem)
    else()
        target_sources(neochat PRIVATE trayicon.cpp trayicon.h)
    endif()
    target_link_libraries(neochat PUBLIC KF6::WindowSystem)
    target_compile_definitions(neochat PUBLIC -DHAVE_WINDOWSYSTEM)
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    target_compile_definitions(neochat PUBLIC -DHAVE_RUNNER)
    target_compile_definitions(neochat PUBLIC -DHAVE_X11=1)
    target_sources(neochat PRIVATE runner.cpp)

    if (TARGET KUnifiedPush)
        target_sources(neochat PRIVATE fakerunner.cpp)
    endif()
else()
    target_compile_definitions(neochat PUBLIC -DHAVE_X11=0)
endif()

target_include_directories(neochat PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(neochat PRIVATE Loginplugin Roomsplugin RoomInfoplugin MessageContentplugin Timelineplugin Spacesplugin Chatbarplugin Settingsplugin Devtoolsplugin)
target_link_libraries(neochat PUBLIC
    LibNeoChat
    Timeline
    Settings
    Qt::Core
    Qt::Quick
    Qt::Qml
    Qt::Gui
    Qt::Multimedia
    Qt::Network
    Qt::QuickControls2
    Qt::TextToSpeech
    KF6::I18n
    KF6::Kirigami
    KF6::Notifications
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::SonnetCore
    KF6::IconThemes
    KF6::ItemModels
    QuotientQt6
    Login
    Rooms
    MessageContent
    Spaces
)

if (TARGET KF6::Crash)
    target_link_libraries(neochat PUBLIC KF6::Crash)
endif()

kconfig_target_kcfg_file(neochat FILE neochatconfig.kcfg CLASS_NAME NeoChatConfig MUTATORS GENERATE_PROPERTIES DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR SINGLETON GENERATE_MOC QML_REGISTRATION)

if(NEOCHAT_FLATPAK)
    target_compile_definitions(neochat PUBLIC NEOCHAT_FLATPAK)
endif()

if(ANDROID)
    target_sources(neochat PRIVATE notifyrc.qrc)
    target_link_libraries(neochat PRIVATE Qt::Svg OpenSSL::SSL)
    if(SQLite3_FOUND)
        target_link_libraries(neochat-app PRIVATE SQLite::SQLite3)
    endif()
    target_sources(neochat-app PRIVATE notifyrc.qrc)
    target_link_libraries(neochat PUBLIC Qt::Svg OpenSSL::SSL)
    kirigami_package_breeze_icons(ICONS
        "arrow-down-symbolic"
        "arrow-up-symbolic"
        "arrow-up-double-symbolic"
        "arrow-left-symbolic"
        "arrow-right-symbolic"
        "checkmark"
        "help-about"
        "im-user"
        "im-invisible-user"
        "im-kick-user"
        "mail-attachment"
        "dialog-cancel"
        "preferences-desktop-emoticons"
        "preferences-security"
        "document-open"
        "document-save"
        "document-send"
        "dialog-close"
        "edit-delete-remove"
        "code-context"
        "document-edit"
        "list-user-add"
        "list-add-user"
        "user-others"
        "media-playback-pause"
        "media-playback-start"
        "media-playback-stop"
        "go-previous"
        "go-up"
        "go-down"
        "list-add"
        "irc-join-channel"
        "settings-configure"
        "configure"
        "rating"
        "rating-unrated"
        "search"
        "mail-replied-symbolic"
        "edit-clear"
        "edit-copy"
        "gtk-quit"
        "compass"
        "computer"
        "network-connect"
        "list-remove-user"
        "org.kde.neochat"
        "org.kde.neochat.tray"
        "preferences-system-users"
        "preferences-desktop-theme-global"
        "notifications"
        "notifications-disabled"
        "audio-volume-high"
        "audio-volume-muted"
        "draw-highlight"
        "zoom-in"
        "zoom-out"
        "image-rotate-left-symbolic"
        "image-rotate-right-symbolic"
        "channel-secure-symbolic"
        "download"
        "smiley"
        "tools-check-spelling"
        "username-copy"
        "system-switch-user"
        "bookmark-new"
        "bookmark-remove"
        "favorite"
        "window-new"
        "globe"
        "visibility"
        "home"
        "preferences-desktop-notification"
        "computer-symbolic"
        "gps"
        "system-users-symbolic"
        "map-flat"
        "documentinfo"
        "view-list-details"
        "go-previous"
        "mail-forward-symbolic"
        "dialog-warning-symbolic"
        "object-rotate-left"
        "object-rotate-right"
        "add-subtitle"
        "security-high"
        "security-low"
        "security-low-symbolic"
        "kde"
        "list-remove-symbolic"
        "edit-delete"
        "user-home-symbolic"
        "pin-symbolic"
        "kt-restore-defaults-symbolic"
        "user-symbolic"
        "mark-location-symbolic"

        ${KIRIGAMI_ADDONS_ICONS}
    )
    ecm_add_android_apk(neochat-app ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(neochat PUBLIC Qt::Widgets KF6::KIOWidgets)
    install(FILES neochat.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

if(NOT ANDROID)
    set_target_properties(neochat-app PROPERTIES OUTPUT_NAME "neochat")
endif()

if(TARGET KF6::DBusAddons AND NOT WIN32)
    target_link_libraries(neochat PUBLIC KF6::DBusAddons)
    target_compile_definitions(neochat PUBLIC -DHAVE_KDBUSADDONS)
endif()

if (TARGET KF6::KIOWidgets)
    target_compile_definitions(neochat PUBLIC -DHAVE_KIO)
endif()

if (TARGET KUnifiedPush)
    target_compile_definitions(neochat PUBLIC -DHAVE_KUNIFIEDPUSH)
    target_link_libraries(neochat PUBLIC KUnifiedPush)

    if (NOT ANDROID)
        configure_file(org.kde.neochat.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.neochat.service)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.neochat.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
    endif()
endif()

install(TARGETS neochat-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    install(FILES plasma-runner-neochat.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
endif()

if (APPLE)
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.neochat")
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "NeoChat")
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING ${RELEASE_SERVICE_VERSION})
    set_target_properties(neochat-app PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION ${RELEASE_SERVICE_VERSION})
endif ()

=== src/chatbar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Chatbar STATIC)
ecm_add_qml_module(Chatbar GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.chatbar
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/chatbar
    QML_FILES
        AttachDialog.qml
        ChatBar.qml
        CompletionMenu.qml
        EmojiDelegate.qml
        EmojiGrid.qml
        PieProgressBar.qml
        EmojiPicker.qml
        EmojiDialog.qml
        EmojiTonesPicker.qml
        ImageEditorPage.qml
)

=== src/libneochat/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(LibNeoChat STATIC)

target_sources(LibNeoChat PRIVATE
    neochatconnection.cpp
    neochatroom.cpp
    neochatroommember.cpp
    accountmanager.cpp
    chatbarcache.cpp
    chatdocumenthandler.cpp
    clipboard.cpp
    delegatesizehelper.cpp
    emojitones.cpp
    eventhandler.cpp
    filetransferpseudojob.cpp
    filetype.cpp
    linkpreviewer.cpp
    roomlastmessageprovider.cpp
    spacehierarchycache.cpp
    texthandler.cpp
    urlhelper.cpp
    utils.cpp
    enums/messagecomponenttype.h
    enums/messagetype.h
    enums/powerlevel.cpp
    enums/pushrule.h
    enums/roomsortparameter.cpp
    enums/roomsortorder.h
    enums/timelinemarkreadcondition.h
    events/imagepackevent.cpp
    events/pollevent.cpp
    jobs/neochatgetcommonroomsjob.cpp
    models/actionsmodel.cpp
    models/completionmodel.cpp
    models/completionproxymodel.cpp
    models/customemojimodel.cpp
    models/emojimodel.cpp
    models/imagepacksmodel.cpp
    models/livelocationsmodel.cpp
    models/locationsmodel.cpp
    models/roomlistmodel.cpp
    models/stickermodel.cpp
    models/userfiltermodel.cpp
    models/userlistmodel.cpp
)

ecm_add_qml_module(LibNeoChat GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.libneochat
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/libneochat
    QML_FILES
        qml/GroupChatDrawerHeader.qml
        qml/LocationMapItem.qml
        qml/InviteUserPage.qml
        qml/ExploreRoomsPage.qml
        qml/SearchPage.qml
        qml/CreateRoomDialog.qml
        qml/CreateSpaceDialog.qml
)

ecm_qt_declare_logging_category(LibNeoChat
    HEADER "eventhandler_logging.h"
    IDENTIFIER "EventHandling"
    CATEGORY_NAME "org.kde.neochat.eventhandler"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(LibNeoChat
    HEADER "chatdocumenthandler_logging.h"
    IDENTIFIER "ChatDocumentHandling"
    CATEGORY_NAME "org.kde.neochat.chatdocumenthandler"
    DEFAULT_SEVERITY Info
)

generate_export_header(LibNeoChat BASE_NAME LibNeoChat)
target_include_directories(LibNeoChat PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/enums ${CMAKE_CURRENT_SOURCE_DIR}/events ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(LibNeoChat PUBLIC
    Qt::Core
    Qt::Multimedia
    Qt::Quick
    Qt::QuickControls2
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::Kirigami
    KF6::SonnetCore
    QuotientQt6
    cmark::cmark
    QCoro::Core
    QCoro::Network
)

if(NOT ANDROID)
    target_link_libraries(LibNeoChat PUBLIC
        KF6::KIOWidgets
        ICU::uc
    )
    target_compile_definitions(LibNeoChat PUBLIC -DHAVE_ICU)
endif()

=== src/roominfo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(RoomInfo STATIC)
ecm_add_qml_module(RoomInfo GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.roominfo
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/roominfo
    QML_FILES
        RoomDrawer.qml
        RoomDrawerPage.qml
        RoomInformation.qml
        RoomMedia.qml
        DirectChatDrawerHeader.qml
        LocationsPage.qml
        RoomPinnedMessagesPage.qml
        RoomSearchPage.qml
    SOURCES
        locationhelper.cpp
)

target_link_libraries(RoomInfo PRIVATE
    Qt::Core
)

=== src/spaces/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Spaces STATIC)
ecm_add_qml_module(Spaces GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.spaces
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/spaces
    QML_FILES
        SpaceHomePage.qml
        SpaceHierarchyDelegate.qml
        RemoveChildDialog.qml
        SelectExistingRoomDialog.qml
    SOURCES
        models/spacechildrenmodel.cpp
        models/spacechildsortfiltermodel.cpp
        models/spacetreeitem.cpp
)

target_include_directories(Spaces PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(Spaces PRIVATE
    Qt::Core
    Qt::Quick
    KF6::Kirigami
    LibNeoChat
)

=== debian/changelog ===
neochat (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:44 +0100

=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               cmark,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kirigami-addons-dev (>= 1.3.0~),
               kquickimageeditor-dev,
               libcmark-dev,
               libicu-dev (>= 61.0~),
               libkf6config-dev (>= 6.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.0~),
               libkf6crash-dev (>= 6.0~),
               libkf6dbusaddons-dev (>= 6.0~),
               libkf6doctools-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6iconthemes-dev (>= 6.0~),
               libkf6itemmodels-dev (>= 6.0~),
               libkf6kio-dev (>= 6.0~),
               libkf6notifications-dev (>= 6.0~),
               libkf6purpose-dev (>= 6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.0~),
               libkf6sonnet-dev (>= 6.0~),
               libkf6statusnotifieritem-dev (>= 6.0~),
               libkf6syntaxhighlighting-dev (>= 6.0~),
               libkf6windowsystem-dev (>= 6.0~),
               libkirigami-dev (>= 6.0.0~),
               libkunifiedpush-dev (>= 25.08.1~),
               libqt6sql6-sqlite <!nocheck>,
               libquotient-dev (>= 0.9.0~),
               qcoro-qt6-dev (>= 0.4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-purpose,
               qml6-module-org-kde-quickcharts,
               qml6-module-org-kde-syntaxhighlighting,
               qml6-module-qtcore,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-httpserver-dev,
               qt6-multimedia-dev (>= 6.5~),
               qt6-speech-dev,
               qt6-svg-dev (>= 6.5~),
               qt6-webview-dev [amd64 arm64 armhf],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: ${qml6:Depends},
         qml6-module-qtwebview [amd64 arm64 armhf],
         qml6-module-qt-labs-animation,
         qt6-location-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
endif
# workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=119015
ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  export DEB_CXXFLAGS_MAINT_APPEND += -Os
endif

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dh_auto_test

## neochat 25.08.1+p24.04+vstable+git20251001.0628

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
neochat (25.08.1+p24.04+vstable+git20251001.0628-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:28:56 +0000

neochat (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:00:51 +0000

neochat (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:21:12 +0000

neochat (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:56:20 +0000

neochat (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:47:56 +0000

neochat (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:12:47 +0000

neochat (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:39:11 +0000

neochat (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:12:07 +0000

neochat (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:28:01 +0000

neochat (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:38:42 +0000

neochat (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:14:19 +0000

neochat (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:38:53 +0000

neochat (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:03:15 +0000

neochat (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:35:33 +0000

neochat (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:25:26 +0000

neochat (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:09:38 +0000

neochat (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:21:18 +0000

neochat (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:20:21 +0000

neochat (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:54:44 +0000

neochat (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:31:16 +0000

neochat (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:15:31 +0000

neochat (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:08:38 +0000

neochat (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:57:04 +0000

neochat (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:40:47 +0000

neochat (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:41:25 +0000

neochat (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:16:59 +0000

neochat (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 14:21:22 +0000

neochat (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 14:21:19 +0000

neochat (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:30:02 +0000

neochat (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 24 Apr 2022 14:21:19 +0000

neochat (22.02-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * New release
  * Add watch

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Feb 2022 14:21:15 +0000

neochat (1.2.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Jun 2021 10:55:01 +0000

neochat (1.1.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Feb 2021 14:21:04 +0000

neochat (1.0.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Jan 2021 14:21:05 +0000

neochat (1.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Oct 2020 13:05:34 +0000

## neochat 25.08.1+p24.04+vstable+git20251005.1109

=== debian/changelog ===
neochat (25.08.1+p24.04+vstable+git20251005.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:09:11 +0000

## neochat 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.12")
+set(KF_MIN_VERSION "6.16")
 set(QT_MIN_VERSION "6.5")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

enable_testing()

add_library(neochat_server STATIC server.cpp)

target_link_libraries(neochat_server PUBLIC Qt::HttpServer QuotientQt6)

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

ecm_add_test(
    neochatroomtest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME neochatroomtest
)

ecm_add_test(
    texthandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME texthandlertest
)

ecm_add_test(
    delegatesizehelpertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME delegatesizehelpertest
)

ecm_add_test(
    mediasizehelpertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME mediasizehelpertest
)

ecm_add_test(
    eventhandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME eventhandlertest
)

ecm_add_test(
    chatbarcachetest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME chatbarcachetest
)

ecm_add_test(
    chatdocumenthandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME chatdocumenthandlertest
)

ecm_add_test(
    timelinemessagemodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME timelinemessagemodeltest
)

ecm_add_test(
    windowcontrollertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME windowcontrollertest
)

ecm_add_test(
    pollhandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME pollhandlertest
)

ecm_add_test(
    reactionmodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME reactionmodeltest
)

ecm_add_test(
    linkpreviewertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME linkpreviewertest
)

ecm_add_test(
    messagecontentmodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME messagecontentmodeltest
)

ecm_add_test(
    actionstest.cpp
    LINK_LIBRARIES neochat Qt::Test neochat_server
    TEST_NAME actionstest
)

=== src/devtools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Devtools STATIC)
ecm_add_qml_module(Devtools GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.devtools
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/devtools
    QML_FILES
        DevtoolsPage.qml
        AccountData.qml
        DebugOptions.qml
        FeatureFlagPage.qml
        RoomData.qml
        ServerData.qml
        StateKeys.qml
    SOURCES
        models/statefiltermodel.cpp
        models/statekeysmodel.cpp
        models/statemodel.cpp
)

target_include_directories(Devtools PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(Devtools PRIVATE
    Qt::Core
    LibNeoChat
)

=== src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Settings STATIC)

set_source_files_properties(
    RoomSettingsView.qml
    NeoChatSettingsView.qml
    PROPERTIES
        QT_QML_SINGLETON_TYPE TRUE
)

ecm_add_qml_module(Settings GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.settings
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/settings
    QML_FILES
        NeoChatSettingsView.qml
        RoomSettingsView.qml
        AccountsPage.qml
        AccountEditorPage.qml
        AppearanceSettingsPage.qml
        DevicesPage.qml
        EmoticonsPage.qml
        EmoticonEditorPage.qml
        GlobalNotificationsPage.qml
        NeoChatGeneralPage.qml
        NeoChatSecurityPage.qml
        NetworkProxyPage.qml
        Permissions.qml
        PushNotification.qml
        RoomGeneralPage.qml
        RoomSecurityPage.qml
        ColorScheme.qml
        ConfirmDeactivateAccountDialog.qml
        ConfirmEncryptionDialog.qml
        DevicesCard.qml
        DeviceDelegate.qml
        EmoticonFormCard.qml
        IdentityServerDelegate.qml
        IgnoredUsersDialog.qml
        NotificationRuleItem.qml
        PasswordSheet.qml
        PowerLevelDialog.qml
        SelectParentDialog.qml
        SelectSpacesDialog.qml
        ThemeRadioButton.qml
        ThreePIdCard.qml
        ImportKeysDialog.qml
        ExportKeysDialog.qml
        RoomSortParameterDialog.qml
        RoomProfile.qml
        RoomAdvancedPage.qml
    SOURCES
        colorschemer.cpp
        threepidaddhelper.cpp
        threepidbindhelper.cpp
        models/accountemoticonmodel.cpp
        models/devicesmodel.cpp
        models/devicesproxymodel.cpp
        models/emoticonfiltermodel.cpp
        models/permissionsmodel.cpp
        models/pushrulemodel.cpp
        models/roomsortparametermodel.cpp
        models/threepidmodel.cpp
)


target_include_directories(Settings PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(Settings PRIVATE
    KF6::ColorScheme
    KF6::I18n
    QuotientQt6
    LibNeoChat
)

=== src/timeline/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(Timeline STATIC)
ecm_add_qml_module(Timeline GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.timeline
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/timeline
    QML_FILES
        TimelineView.qml
        EventDelegate.qml
        HiddenDelegate.qml
        MessageDelegate.qml
        LoadingDelegate.qml
        PredecessorDelegate.qml
        ReadMarkerDelegate.qml
        SpacerDelegate.qml
        StateDelegate.qml
        SuccessorDelegate.qml
        TimelineEndDelegate.qml
        Bubble.qml
        AvatarFlow.qml
        QuickActions.qml
        TypingPane.qml
        DelegateContextMenu.qml
        FileDelegateContextMenu.qml
        MessageDelegateContextMenu.qml
    SOURCES
        messageattached.cpp
        messagedelegate.cpp
        timelinedelegate.cpp
        enums/delegatetype.h
        models/mediamessagefiltermodel.cpp
        models/messagecontentfiltermodel.cpp
        models/messagefiltermodel.cpp
        models/messagemodel.cpp
        models/pinnedmessagemodel.cpp
        models/readmarkermodel.cpp
        models/searchmodel.cpp
        models/timelinemessagemodel.cpp
        models/timelinemodel.cpp
        models/webshortcutmodel.cpp
    DEPENDENCIES
        QtQuick
)

target_include_directories(Timeline PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/enums ${CMAKE_CURRENT_SOURCE_DIR}/models)
target_link_libraries(Timeline PRIVATE
    Qt::Core
    Qt::Quick
    Qt::QuickControls2
    KF6::Kirigami
    LibNeoChat
    MessageContent
)

=== debian/changelog ===
neochat (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.08.1~),
+               libkunifiedpush-dev (>= 25.08.2~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),

## neochat 25.08.2+p24.04+vstable+git20251015.1733

=== debian/changelog ===
neochat (25.08.2+p24.04+vstable+git20251015.1733-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:33:16 +0000

neochat (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

## neochat 25.08.2+p24.04+vstable+git20251020.0017

=== debian/changelog ===
neochat (25.08.2+p24.04+vstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:17:25 +0000

## neochat 25.08.2+p24.04+vstable+git20251029.0933

=== debian/changelog ===
neochat (25.08.2+p24.04+vstable+git20251029.0933-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 09:33:35 +0000

=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Build-Depends: cmake,
               cmark,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kquickcharts-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               kf6-qqc2-desktop-style-dev,
               kf6-sonnet-dev,
               kf6-syntax-highlighting-dev,
               kquickimageeditor-dev,
               kunifiedpush-dev,
               libcmark-dev,
               libfreetype-dev,
               libicu-dev,
               libolm-dev,
               libquotient-qt6-dev,
               libsqlite3-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-multimedia-dev,
               qt6-positioning-dev,
               qt6-speech-dev,
               qt6-svg-dev,
               qt6-webview-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/neochat.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/neochat
Maintainer: Neon CI <neon@kde.org>

Package: neochat
Architecture: any
Depends: kf6-prison,
         qml6-module-org-kde-kirigami-addons-labs-components,
         qml6-module-org-kde-kirigami-addons-labs-mobileform,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-kde-purpose,
         qml6-module-org-kde-qqc2desktopstyle,
         qml6-module-org-kde-quickcharts,
         qml6-module-org-kde-syntaxhighlighting,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtlocation,
         qml6-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Client for Matrix chat.
 A client for matrix, the decentralized communication protocol.

## neochat 25.08.2+p24.04+vstable+git20251029.1022

=== debian/changelog ===
neochat (25.08.2+p24.04+vstable+git20251029.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 10:22:31 +0000

## neochat 25.08.2+p24.04+vstable+git20251031.1107

=== debian/changelog ===
neochat (25.08.2+p24.04+vstable+git20251031.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 11:07:30 +0000
